## golang-github-docker-libnetwork 0.5.6+dfsg

=== Makefile ===
.PHONY: all all-local build build-local clean cross cross-local check check-code check-format run-tests integration-tests check-local coveralls circle-ci-cross circle-ci-build circle-ci-check circle-ci
SHELL=/bin/bash
build_image=libnetworkbuild
dockerargs = --privileged -v $(shell pwd):/go/src/github.com/docker/libnetwork -w /go/src/github.com/docker/libnetwork
container_env = -e "INSIDECONTAINER=-incontainer=true"
docker = docker run --rm -it ${dockerargs} $$EXTRA_ARGS ${container_env} ${build_image}
ciargs = -e CIRCLECI -e "COVERALLS_TOKEN=$$COVERALLS_TOKEN" -e "INSIDECONTAINER=-incontainer=true"
cidocker = docker run ${dockerargs} ${ciargs} ${container_env} ${build_image}
CROSS_PLATFORMS = linux/amd64 linux/386 linux/arm windows/amd64 windows/386

all: ${build_image}.created build check integration-tests clean

all-local: build-local check-local integration-tests-local clean

${build_image}.created:
	docker build -f Dockerfile.build -t ${build_image} .
	touch ${build_image}.created

build: ${build_image}.created
	@echo "Building code... "
	@${docker} ./wrapmake.sh build-local
	@echo "Done building code"

build-local:
	@mkdir -p "bin"
	$(shell which godep) go build -o "bin/dnet" ./cmd/dnet

clean:
	@if [ -d bin ]; then \
		echo "Removing dnet binaries"; \
		rm -rf bin; \
	fi

cross: ${build_image}.created
	@mkdir -p "bin"
	@for platform in ${CROSS_PLATFORMS}; do \
		EXTRA_ARGS="-e GOOS=$${platform%/*} -e GOARCH=$${platform##*/}" ; \
		echo "$${platform}..." ; \
		${docker} make cross-local ; \
	done

cross-local:
	$(shell which godep) go build -o "bin/dnet-$$GOOS-$$GOARCH" ./cmd/dnet

check: ${build_image}.created
	@${docker} ./wrapmake.sh check-local

check-code:
	@echo "Checking code... "
	test -z "$$(golint ./... | tee /dev/stderr)"
	go vet ./...
	@echo "Done checking code"

check-format:
	@echo "Checking format... "
	test -z "$$(goimports -l . | grep -v Godeps/_workspace/src/ | tee /dev/stderr)"
	@echo "Done checking format"

run-tests:
	@echo "Running tests... "
	@echo "mode: count" > coverage.coverprofile
	@for dir in $$(find . -maxdepth 10 -not -path './.git*' -not -path '*/_*' -type d); do \
	    if ls $$dir/*.go &> /dev/null; then \
		pushd . &> /dev/null ; \
		cd $$dir ; \
		$(shell which godep) go test ${INSIDECONTAINER} -test.parallel 3 -test.v -covermode=count -coverprofile=./profile.tmp ; \
		ret=$$? ;\
		if [ $$ret -ne 0 ]; then exit $$ret; fi ;\
		popd &> /dev/null; \
		if [ -f $$dir/profile.tmp ]; then \
			cat $$dir/profile.tmp | tail -n +2 >> coverage.coverprofile ; \
				rm $$dir/profile.tmp ; \
	    fi ; \
	fi ; \
	done
	@echo "Done running tests"

check-local:	check-format check-code run-tests

integration-tests: ./bin/dnet
	@./test/integration/dnet/run-integration-tests.sh

./bin/dnet:
	make build

coveralls:
	-@goveralls -service circleci -coverprofile=coverage.coverprofile -repotoken $$COVERALLS_TOKEN

# CircleCI's Docker fails when cleaning up using the --rm flag
# The following targets are a workaround for this
circle-ci-cross: ${build_image}.created
	@mkdir -p "bin"
	@for platform in ${CROSS_PLATFORMS}; do \
		EXTRA_ARGS="-e GOOS=$${platform%/*} -e GOARCH=$${platform##*/}" ; \
		echo "$${platform}..." ; \
		${cidocker} make cross-local ; \
	done

circle-ci-check: ${build_image}.created
	@${cidocker} make check-local coveralls

circle-ci-build: ${build_image}.created
	@${cidocker} make build-local

circle-ci: circle-ci-check circle-ci-build integration-tests

## golang-github-docker-libnetwork 0.7.0~rc.6+dfsg

=== debian/changelog ===
golang-github-docker-libnetwork (0.7.0~rc.6+dfsg-1) unstable; urgency=medium

  [ Tim Potter <tpot@hpe.com> ]
  * New upstream version (Closes: #823466)
  * Remove duplicate entry in d/watch file
  * Standards-Version: 3.9.8
  * Remove unused copy of MPL from d/copyright

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Build-Depends:
    - golang-github-hashicorp-consul-dev
    - golang-dns-dev | golang-github-miekg-dns-dev
    + golang-github-docker-go-connections-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 May 2016 09:24:06 +1000

golang-github-docker-libnetwork (0.5.6+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #816884).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Mar 2016 12:39:51 +1100

=== debian/control ===
Source: golang-github-docker-libnetwork
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,dh-golang
    ,golang-go
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
#   ,golang-github-docker-docker-dev
        ,golang-github-docker-go-connections-dev
        ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev
    ,golang-github-vishvananda-netns-dev
Standards-Version: 3.9.8
Homepage: https://github.com/docker/libnetwork
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-libnetwork.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-libnetwork.git
XS-Go-Import-Path: github.com/docker/libnetwork

Package: golang-github-docker-libnetwork-dev
Architecture: all
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,golang-go
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
#   ,golang-github-docker-docker-dev
        ,golang-github-docker-go-connections-dev
        ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev
    ,golang-github-vishvananda-netns-dev
Description: Docker Networking
 Libnetwork provides a native Go implementation for connecting containers
 .
 The goal of libnetwork is to deliver a robust Container Network Model
 that provides a consistent programming interface and the required
 network abstractions for applications.

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts="\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
" https://github.com/docker/libnetwork/releases \
  .*/archive/v?(\d[-\d\.a-z]+)\.tar\.gz

## golang-github-docker-libnetwork 0.7.2~rc.1+dfsg

=== debian/changelog ===
golang-github-docker-libnetwork (0.7.2~rc.1+dfsg-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New upstream version.
  * New patch to fix FTBFS with libkv v0.2.0 (Closes: #830656).
    Thanks, Tianon Gravi.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 09:38:37 +1000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #   ,golang-github-docker-docker-dev
         ,golang-github-docker-go-connections-dev
         ,golang-github-docker-go-units-dev
-    ,golang-github-docker-libkv-dev
+    ,golang-github-docker-libkv-dev (>= 0.2.0~)
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-serf-dev
     ,golang-github-opencontainers-runc-dev
@@ -24,7 +24,7 @@
 Standards-Version: 3.9.8
 Homepage: https://github.com/docker/libnetwork
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-libnetwork.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-docker-libnetwork.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-libnetwork.git
 XS-Go-Import-Path: github.com/docker/libnetwork
 
 Package: golang-github-docker-libnetwork-dev
@@ -39,7 +39,7 @@
 #   ,golang-github-docker-docker-dev
         ,golang-github-docker-go-connections-dev
         ,golang-github-docker-go-units-dev
-    ,golang-github-docker-libkv-dev
+    ,golang-github-docker-libkv-dev (>= 0.2.0~)
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-serf-dev
     ,golang-github-opencontainers-runc-dev

=== debian/rules ===
#!/usr/bin/make -f

## Don't build commandline utilities for now.
export DH_GOLANG_EXCLUDES = cmd

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_configure:
	mkdir -p _build && cp -r Godeps/_workspace/src _build/
	dh_auto_configure

override_dh_auto_test:
	-dh_auto_test

## golang-github-docker-libnetwork 0.8~git20161019.0.66c8446

=== debian/changelog ===
golang-github-docker-libnetwork (0.8~git20161019.0.66c8446-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add golang-github-docker-go-events build dependency.
  * Remove patch now applied upstream.
  * TODO: dfsg-ify upstream tarball

 -- Tim Potter <tpot@hpe.com>  Wed, 30 Nov 2016 15:36:05 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9) ,dh-golang
     ,golang-go
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
@@ -14,6 +14,7 @@
         ,golang-github-docker-go-connections-dev
         ,golang-github-docker-go-units-dev
     ,golang-github-docker-libkv-dev (>= 0.2.0~)
+    ,golang-github-docker-go-events-dev
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-serf-dev
     ,golang-github-opencontainers-runc-dev

## golang-github-docker-libnetwork 0.8.0~dev.2+git20161130.568.fd27f22

=== debian/changelog ===
golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Tim Potter <tpot@hpe.com>  Wed, 25 Jan 2017 14:22:41 +1100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 9) ,dh-golang
     ,golang-go
     ,golang-toml-dev | golang-github-burntsushi-toml-dev
+    ,golang-github-azure-go-ansiterm-dev
     ,golang-github-codegangsta-cli-dev
     ,golang-github-coreos-go-systemd-dev
 #       ,golang-dbus-dev (>= 3~)

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,8 @@
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 
-override_dh_auto_configure:
-	mkdir -p _build && cp -r Godeps/_workspace/src _build/
-	dh_auto_configure
-
 override_dh_auto_test:
 	-dh_auto_test
+
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp

## golang-github-docker-libnetwork 0.8.0

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,17 @@
 container_env = -e "INSIDECONTAINER=-incontainer=true"
 docker = docker run --rm -it ${dockerargs} $$EXTRA_ARGS ${container_env} ${build_image}
 ciargs = -e CIRCLECI -e "COVERALLS_TOKEN=$$COVERALLS_TOKEN" -e "INSIDECONTAINER=-incontainer=true"
-cidocker = docker run ${dockerargs} ${ciargs} ${container_env} ${build_image}
-CROSS_PLATFORMS = linux/amd64 linux/386 linux/arm windows/amd64 windows/386
+cidocker = docker run ${dockerargs} ${ciargs} $$EXTRA_ARGS ${container_env} ${build_image}
+CROSS_PLATFORMS = linux/amd64 linux/386 linux/arm windows/amd64
+export PATH := $(CURDIR)/bin:$(PATH)
+hostOS = ${shell go env GOHOSTOS}
+ifeq (${hostOS}, solaris)
+	gnufind=gfind
+	gnutail=gtail
+else
+	gnufind=find
+	gnutail=tail
+endif
 
 all: ${build_image}.created build check integration-tests clean
 
@@ -23,11 +32,12 @@
 
 build-local:
 	@mkdir -p "bin"
-	$(shell which godep) go build -o "bin/dnet" ./cmd/dnet
+	$(shell which godep) go build -tags experimental -o "bin/dnet" ./cmd/dnet
+	$(shell which godep) go build -o "bin/docker-proxy" ./cmd/proxy
 
 clean:
 	@if [ -d bin ]; then \
-		echo "Removing dnet binaries"; \
+		echo "Removing dnet and proxy binaries"; \
 		rm -rf bin; \
 	fi
 
@@ -41,34 +51,68 @@
 
 cross-local:
 	$(shell which godep) go build -o "bin/dnet-$$GOOS-$$GOARCH" ./cmd/dnet
+	$(shell which godep) go build -o "bin/docker-proxy-$$GOOS-$$GOARCH" ./cmd/proxy
 
 check: ${build_image}.created
 	@${docker} ./wrapmake.sh check-local
 
 check-code:
 	@echo "Checking code... "
-	test -z "$$(golint ./... | tee /dev/stderr)"
+	test -z "$$(golint ./... | grep -v .pb.go: | tee /dev/stderr)"
 	go vet ./...
 	@echo "Done checking code"
 
 check-format:
 	@echo "Checking format... "
-	test -z "$$(goimports -l . | grep -v Godeps/_workspace/src/ | tee /dev/stderr)"
+	test -z "$$(gofmt -s -l . | grep -v Godeps/_workspace/src/ | tee /dev/stderr)"
 	@echo "Done checking format"
 
 run-tests:
 	@echo "Running tests... "
 	@echo "mode: count" > coverage.coverprofile
-	@for dir in $$(find . -maxdepth 10 -not -path './.git*' -not -path '*/_*' -type d); do \
+	@for dir in $$( ${gnufind} . -maxdepth 10 -not -path './.git*' -not -path '*/_*' -type d); do \
+	    if [ ${hostOS} == solaris ]; then \
+	        case "$$dir" in \
+		    "./cmd/dnet" ) \
+		    ;& \
+		    "./cmd/ovrouter" ) \
+		    ;& \
+		    "./ns" ) \
+		    ;& \
+		    "./iptables" ) \
+		    ;& \
+		    "./ipvs" ) \
+		    ;& \
+		    "./drivers/bridge" ) \
+		    ;& \
+		    "./drivers/host" ) \
+		    ;& \
+		    "./drivers/ipvlan" ) \
+		    ;& \
+		    "./drivers/macvlan" ) \
+		    ;& \
+		    "./drivers/overlay" ) \
+		    ;& \
+		    "./drivers/remote" ) \
+		    ;& \
+		    "./drivers/windows" ) \
+			echo "Skipping $$dir on solaris host... "; \
+			continue; \
+			;; \
+		    * )\
+			echo "Entering $$dir ... "; \
+			;; \
+	        esac; \
+	    fi; \
 	    if ls $$dir/*.go &> /dev/null; then \
 		pushd . &> /dev/null ; \
 		cd $$dir ; \
-		$(shell which godep) go test ${INSIDECONTAINER} -test.parallel 3 -test.v -covermode=count -coverprofile=./profile.tmp ; \
+		$(shell which godep) go test ${INSIDECONTAINER} -test.parallel 5 -test.v -covermode=count -coverprofile=./profile.tmp ; \
 		ret=$$? ;\
 		if [ $$ret -ne 0 ]; then exit $$ret; fi ;\
 		popd &> /dev/null; \
 		if [ -f $$dir/profile.tmp ]; then \
-			cat $$dir/profile.tmp | tail -n +2 >> coverage.coverprofile ; \
+			cat $$dir/profile.tmp | ${gnutail} -n +2 >> coverage.coverprofile ; \
 				rm $$dir/profile.tmp ; \
 	    fi ; \
 	fi ; \
@@ -102,4 +146,4 @@
 circle-ci-build: ${build_image}.created
 	@${cidocker} make build-local
 
-circle-ci: circle-ci-check circle-ci-build integration-tests
+circle-ci: circle-ci-build circle-ci-check circle-ci-cross integration-tests

## golang-github-docker-libnetwork 0.8.0-dev.2%2Bgit20170202.599.45b4086

=== debian/control ===
Source: golang-github-docker-libnetwork
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9) ,dh-golang, dh-exec
    ,golang-any [!ppc64], gccgo-go [ppc64]
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
    ,golang-github-docker-docker-dev (>= 1.13.0~ds1)
    ,golang-github-docker-go-connections-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev (>= 0.2.0~)
    ,golang-github-docker-go-events-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev (>= 0.0~git20161111.0~)
    ,golang-github-vishvananda-netns-dev
Standards-Version: 3.9.8
Homepage: https://github.com/docker/libnetwork
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-libnetwork.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-libnetwork.git
XS-Go-Import-Path: github.com/docker/libnetwork

Package: golang-github-docker-libnetwork-dev
Architecture: all
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,golang-toml-dev | golang-github-burntsushi-toml-dev
    ,golang-github-codegangsta-cli-dev
    ,golang-github-coreos-go-systemd-dev
#       ,golang-dbus-dev (>= 3~)
    ,golang-github-deckarep-golang-set-dev
#    ,golang-github-docker-docker-dev (>= 1.13.0~ds1)
    ,golang-github-docker-go-connections-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-docker-libkv-dev (>= 0.2.0~)
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-serf-dev
    ,golang-github-opencontainers-runc-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-vishvananda-netlink-dev (>= 0.0~git20161111.0~)
    ,golang-github-vishvananda-netns-dev
Description: Docker Networking
 Libnetwork provides a native Go implementation for connecting containers
 .
 The goal of libnetwork is to deliver a robust Container Network Model
 that provides a consistent programming interface and the required
 network abstractions for applications.
 .
 This package contains the development files.
 
Package: golang-libnetwork
Architecture: any
Breaks: docker.io (<< 1.12)
Depends: ${misc:Depends}, ${shlib:Depends}
Built-Using: ${misc:Built-Using}
Description: Docker Networking
 Libnetwork provides a native Go implementation for connecting containers
 .
 The goal of libnetwork is to deliver a robust Container Network Model
 that provides a consistent programming interface and the required
 network abstractions for applications.
 .
 This package contains various command line binaries.

=== debian/watch ===
--- 
+++ 
@@ -4,5 +4,6 @@
 opts="\
 repacksuffix=+dfsg,\
 dversionmangle=s{\+dfsg\d*}{},\
+uversionmangle=s{\-}{~},\
 " https://github.com/docker/libnetwork/releases \
   .*/archive/v?(\d[-\d\.a-z]+)\.tar\.gz

## golang-github-docker-libnetwork 0.8.0-dev.2+git20170202.599.45b4086

=== debian/changelog ===
golang-github-docker-libnetwork (0.8.0-dev.2+git20170202.599.45b4086-3) unstable; urgency=medium

  * Special case ppc64, builds only with gccgo-go (golang-go does not support
    shared build/linking for ppc64)

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 11 Aug 2017 09:50:42 +0300

golang-github-docker-libnetwork (0.8.0-dev.2+git20170202.599.45b4086-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 17:23:26 +0300

golang-github-docker-libnetwork (0.8.0-dev.2+git20170202.599.45b4086-1) unstable; urgency=medium

  * New upstream snapshot for Docker 1.13.1.
  * Delete patches vendoring various parts of Docker and replace with
    golang-github-docker-docker-dev B-D.

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:17:34 +1000

golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-4) unstable; urgency=medium

  * Tighten B-D on golang-github-vishvananda-netlink-dev package for
    stretch build. (Closes: #858267)
  * Suppress binary-without-manpage Lintian warnings.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 08:40:08 +1100

golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-3) unstable; urgency=medium

  * Add Breaks line to binary package to avoid messing up previous
    Docker installs.

 -- Tim Potter <tpot@hpe.com>  Fri, 24 Feb 2017 10:18:43 +1100

golang-github-docker-libnetwork (0.8.0~dev.2+git20161130.568.fd27f22-2) unstable; urgency=medium

  * Build and package command line utilites, including docker-proxy.
  * Package documentation files.

 -- Tim Potter <tpot@hpe.com>  Thu, 16 Feb 2017 07:35:38 +1100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-## Don't build commandline utilities for now.
-export DH_GOLANG_EXCLUDES = cmd
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
